Ubuntu 18.04 LTS installation error


Description of the issue:

Unable to install Brave browser on Ubuntu 18.04 LTS, errors of

Err:5 https://brave-browser-apt-release.s3.brave.com stable InRelease
The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY A8580BDC82D3DC6

and

W: GPG error: https://brave-browser-apt-release.s3.brave.com stable InRelease: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY A8580BDC82D3DC6C
E: The repository ‘https://brave-browser-apt-release.s3.brave.com stable InRelease’ is not signed.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

How can this issue be reproduced?
Following the instructions on brave.com/linux/#release-channel-installation for Ubuntu 16.04+. The problem happens on step 4: sudo apt update

check this one

read the whole post and comment then see f it apply to your case or not
specially fmarier comments

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.